Package org.eclipse.emf.compare.rcp.policy

# Interface ILoadOnDemandPolicy.Registry

All Known Implementing Classes:
  `LoadOnDemandPolicyRegistryImpl`

Enclosing interface:
  ILoadOnDemandPolicy

public static interface ILoadOnDemandPolicy.Registry
A registry of policy. It can be asked if it contains at least one policy authorizing an URI to be loaded on demand.

## Method Summary

Modifier and Type
Method
Description
`ILoadOnDemandPolicy`
`addPolicy(ILoadOnDemandPolicy policy)`
Add the given `policy` to this registry.
`void`
`clear()`
Removes all of the registered policies.
`List<ILoadOnDemandPolicy>`
`getPolicies()`
Returns the list of registered policies.
`boolean`
`hasAnyAuthorizingPolicy(URI uri)`
Returns true if at least one of the contained policy is authorizing the given policy to be loaded on demand.
`ILoadOnDemandPolicy`
`removePolicy(String className)`
Removes the policy registered within this registry with the given class name.

## Method Details

### hasAnyAuthorizingPolicy

boolean hasAnyAuthorizingPolicy(URI uri)
Returns true if at least one of the contained policy is authorizing the given policy to be loaded on demand.

Parameters:
  `uri` - the URI to be tested.
Returns:
  true if at least one of the contained policy is authorizing the given policy to be loaded on demand.

### getPolicies

List<ILoadOnDemandPolicy> getPolicies()
Returns the list of registered policies.

Returns:
  the list of registered policies.

### addPolicy

ILoadOnDemandPolicy addPolicy(ILoadOnDemandPolicy policy)
Add the given `policy` to this registry.

Parameters:
  `policy` - the policy to be added.
Returns:
  the previous value associated with the class name of the given `policy`.

### removePolicy

ILoadOnDemandPolicy removePolicy(String className)
Removes the policy registered within this registry with the given class name.

Parameters:
  `className` - the class name of a previously registered policy.
Returns:
  the previously registered policy or null if none was.

### clear

void clear()
Removes all of the registered policies.